# Welcome to geotask


[![image](https://img.shields.io/pypi/v/geotask.svg)](https://pypi.python.org/pypi/geotask)
[![image](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)


**A python package for geospatial analysis and interactive mapping in a Jupyter environment.**

-   GitHub repo: <https://github.com/nazifa02/geotask>
-   Documentation: <https://nazifa02.github.io/geotask>
-   PyPI: <https://pypi.org/project/geotask>
-   Free software: [MIT license](https://opensource.org/licenses/MIT)
    

## Introduction

**Geotask** is a Python package designed for interactive mapping and geospatial analysis with minimal coding in a Jupyter environment. It is a free and open-source Python package that is inspired by **leafmap** and enables users to analyze and visualize geospatial data with minimal coding in a Jupyter environment, such as Google Colab, Jupyter Notebook, and JupyterLab. Geotask is built upon several open-source packages, such as [folium](https://github.com/python-visualization/folium) and [ipyleaflet](https://github.com/jupyter-widgets/ipyleaflet) (for creating interactive maps), and [ipywidgets](https://github.com/jupyter-widgets/ipywidgets) (for designing interactive graphical user interfaces [GUIs]).


## Usage

### Key Features

Geotask offers a range of features and capabilities that empower geospatial data scientists, researchers, and developers to unlock the potential of their data. Some of the key features include:

-   **Creating an interactive map with just one line of code:** Geotask makes it easy to create an interactive map by providing a simple API that allows you to load and visualize geospatial datasets with minimal coding.

-   **Changing basemaps interactively:** Geotask allows you to change basemaps interactively, providing a variety of options such as OpenStreetMap, OpenTopoMap, and many more.

-   **Displaying vector data:** Geotask supports various vector data formats, including Shapefile, GeoJSON, and any vector format supported by GeoPandas. You can load and display vector data on the map, enabling you to visualize and analyze spatial features.

-   **Displaying raster data:** Geotask allows you to load and display raster data, such as GeoTIFFs, on the map. This feature is useful for visualizing satellite imagery, digital elevation models, and other gridded datasets.

-   **Creating custom legends**: Geotask provides tools for customizing legends on the map, allowing you to represent data values with different colors.

-   **Creating time series animations**: Geotask enables the creation of time series animations from netCDF data, allowing you to visualize temporal changes in your geospatial datasets.

-   **Building interactive web apps:** Geotask supports the development of interactive web applications using frameworks like Streamlit. This allows you to share your geospatial analyses and visualizations with others in a user-friendly web interface.

These features and capabilities make geotask an useful tool for geospatial data analysis, and visualization. Whether you are a beginner or an experienced geospatial data scientist, geotask provides an accessible and efficient way to work with geospatial data in Python.